<!DOCTYPE html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=utf-8">
  <title>technasium_meesterproef.py</title>
  <link rel="stylesheet" href="pycco.css">
</head>
<body>
<div id='container'>
  <div id="background"></div>
  <div class='section'>
    <div class='docs'><h1>technasium_meesterproef.py</h1></div>
  </div>
  <div class='clearall'>
  <div class='section' id='section-0'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-0'>#</a>
      </div>
      
    </div>
    <div class='code'>
      <div class="highlight"><pre><span></span><span class="sd">&#39;&#39;&#39;</span>
<span class="sd">A python interface that runs the following modules:</span>
<span class="sd">    - Landelijk.py</span>
<span class="sd">    - Netwerk.py</span>
<span class="sd">    - School.py</span>
<span class="sd">&#39;&#39;&#39;</span>

<span class="kn">import</span> <span class="nn">Landelijk</span>
<span class="kn">import</span> <span class="nn">Netwerk</span>
<span class="kn">import</span> <span class="nn">School</span>

<span class="n">total_technasium_students_table</span><span class="p">,</span> <span class="n">landelijk_students_data</span> <span class="o">=</span> <span class="n">Landelijk</span><span class="o">.</span><span class="n">main</span><span class="p">()</span>

<span class="n">total_havo_boys_percentage</span> <span class="o">=</span> <span class="p">(</span><span class="n">total_technasium_students_table</span><span class="p">[</span><span class="s1">&#39;Totaal havo jongens&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">Totaal</span> <span class="o">/</span> <span class="n">total_technasium_students_table</span><span class="p">[</span><span class="s1">&#39;Totaal technasium leerlingen&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">Totaal</span><span class="p">)</span> <span class="o">*</span> <span class="mi">100</span>
<span class="n">total_havo_girls_percentage</span> <span class="o">=</span> <span class="p">(</span><span class="n">total_technasium_students_table</span><span class="p">[</span><span class="s1">&#39;Totaal havo meisjes&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">Totaal</span> <span class="o">/</span> <span class="n">total_technasium_students_table</span><span class="p">[</span><span class="s1">&#39;Totaal technasium leerlingen&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">Totaal</span><span class="p">)</span> <span class="o">*</span> <span class="mi">100</span>
<span class="n">total_vwo_boys_percentage</span> <span class="o">=</span> <span class="p">(</span><span class="n">total_technasium_students_table</span><span class="p">[</span><span class="s1">&#39;Totaal vwo jongens&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">Totaal</span> <span class="o">/</span> <span class="n">total_technasium_students_table</span><span class="p">[</span><span class="s1">&#39;Totaal technasium leerlingen&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">Totaal</span><span class="p">)</span> <span class="o">*</span> <span class="mi">100</span>
<span class="n">total_vwo_girls_percentage</span> <span class="o">=</span> <span class="p">(</span><span class="n">total_technasium_students_table</span><span class="p">[</span><span class="s1">&#39;Totaal vwo meisjes&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">Totaal</span> <span class="o">/</span> <span class="n">total_technasium_students_table</span><span class="p">[</span><span class="s1">&#39;Totaal technasium leerlingen&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">Totaal</span><span class="p">)</span> <span class="o">*</span> <span class="mi">100</span>
<span class="n">total_students_with_cluster_1_2_percentage</span> <span class="o">=</span> <span class="p">(</span><span class="nb">len</span><span class="p">(</span><span class="n">landelijk_students_data</span><span class="o">.</span><span class="n">loc</span><span class="p">[</span><span class="n">landelijk_students_data</span><span class="p">[</span><span class="s1">&#39;cluster&#39;</span><span class="p">]</span> <span class="o">==</span> <span class="s1">&#39;1,2&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">index</span><span class="p">)</span> <span class="o">/</span> <span class="nb">len</span><span class="p">(</span><span class="n">landelijk_students_data</span><span class="p">[</span><span class="s1">&#39;cluster&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">index</span><span class="p">))</span> <span class="o">*</span> <span class="mi">100</span>

<span class="n">network_total_technasium_students_table</span><span class="p">,</span> <span class="n">network_students_data</span> <span class="o">=</span> <span class="n">Netwerk</span><span class="o">.</span><span class="n">main</span><span class="p">(</span><span class="n">total_havo_boys_percentage</span><span class="p">,</span> <span class="n">total_havo_girls_percentage</span><span class="p">,</span> <span class="n">total_vwo_boys_percentage</span> <span class="p">,</span> <span class="n">total_vwo_girls_percentage</span><span class="p">,</span> <span class="n">total_students_with_cluster_1_2_percentage</span><span class="p">)</span>

<span class="n">network_total_havo_boys_percentage</span> <span class="o">=</span> <span class="p">(</span><span class="n">network_total_technasium_students_table</span><span class="p">[</span><span class="s1">&#39;Totaal havo jongens&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">Totaal</span> <span class="o">/</span> <span class="n">network_total_technasium_students_table</span><span class="p">[</span><span class="s1">&#39;Totaal technasium leerlingen&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">Totaal</span><span class="p">)</span> <span class="o">*</span> <span class="mi">100</span>
<span class="n">network_total_havo_girls_percentage</span> <span class="o">=</span> <span class="p">(</span><span class="n">network_total_technasium_students_table</span><span class="p">[</span><span class="s1">&#39;Totaal havo meisjes&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">Totaal</span> <span class="o">/</span> <span class="n">network_total_technasium_students_table</span><span class="p">[</span><span class="s1">&#39;Totaal technasium leerlingen&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">Totaal</span><span class="p">)</span> <span class="o">*</span> <span class="mi">100</span>
<span class="n">network_total_vwo_boys_percentage</span> <span class="o">=</span> <span class="p">(</span><span class="n">network_total_technasium_students_table</span><span class="p">[</span><span class="s1">&#39;Totaal vwo jongens&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">Totaal</span> <span class="o">/</span> <span class="n">network_total_technasium_students_table</span><span class="p">[</span><span class="s1">&#39;Totaal technasium leerlingen&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">Totaal</span><span class="p">)</span> <span class="o">*</span> <span class="mi">100</span>
<span class="n">network_total_vwo_girls_percentage</span> <span class="o">=</span> <span class="p">(</span><span class="n">network_total_technasium_students_table</span><span class="p">[</span><span class="s1">&#39;Totaal vwo meisjes&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">Totaal</span> <span class="o">/</span> <span class="n">network_total_technasium_students_table</span><span class="p">[</span><span class="s1">&#39;Totaal technasium leerlingen&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">Totaal</span><span class="p">)</span> <span class="o">*</span> <span class="mi">100</span>
<span class="n">network_total_students_with_cluster_1_2_percentage</span> <span class="o">=</span> <span class="p">(</span><span class="nb">len</span><span class="p">(</span><span class="n">network_students_data</span><span class="o">.</span><span class="n">loc</span><span class="p">[</span><span class="n">network_students_data</span><span class="p">[</span><span class="s1">&#39;cluster&#39;</span><span class="p">]</span> <span class="o">==</span> <span class="s1">&#39;1,2&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">index</span><span class="p">)</span> <span class="o">/</span> <span class="nb">len</span><span class="p">(</span><span class="n">network_students_data</span><span class="p">[</span><span class="s1">&#39;cluster&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">index</span><span class="p">))</span> <span class="o">*</span> <span class="mi">100</span>

<span class="n">School</span><span class="o">.</span><span class="n">main</span><span class="p">(</span><span class="n">total_havo_boys_percentage</span><span class="p">,</span> <span class="n">total_havo_girls_percentage</span><span class="p">,</span> <span class="n">total_vwo_boys_percentage</span> <span class="p">,</span> <span class="n">total_vwo_girls_percentage</span><span class="p">,</span> <span class="n">total_students_with_cluster_1_2_percentage</span><span class="p">,</span>
            <span class="n">network_total_havo_boys_percentage</span><span class="p">,</span> <span class="n">network_total_havo_girls_percentage</span><span class="p">,</span> <span class="n">network_total_vwo_boys_percentage</span> <span class="p">,</span> <span class="n">network_total_vwo_girls_percentage</span><span class="p">,</span> <span class="n">network_total_students_with_cluster_1_2_percentage</span><span class="p">)</span>

</pre></div>
    </div>
  </div>
  <div class='clearall'></div>
</div>
</body>
